Package org.h2.test.poweroff

# Class Listener

java.lang.Object
org.h2.test.poweroff.Listener

All Implemented Interfaces:
  `Runnable`

public class Listener extends Object implements Runnable
The listener application for the power off test. The listener runs on a computer that stays on during the whole test.

## Constructor Summary

Constructors
Constructor
Description
`Listener()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
This method is called when executing this application from the command line.
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Listener

public Listener()

## Method Details

### main

public static void main(String... args) throws IOException
This method is called when executing this application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `IOException`

### run

public void run()

Specified by:
  `run` in interface `Runnable`